import type { RequestBaseConfig } from "../utils/request.js";
export type MigrateFrom = "file" | "space";
interface MigrateItems {
    itemType: "story" | "preset";
    from: string;
    to: string;
    migrateFrom: MigrateFrom;
    migrationConfig: string;
    componentsToMigrate: string[];
}
export type MapperDefinition = (data: any) => any;
export declare const prepareStoriesFromLocalFile: ({ from }: any) => any;
export declare const prepareMigrationConfig: ({ migrationConfig }: any) => any;
export declare const migrateAllComponentsDataInStories: ({ itemType, migrationConfig, migrateFrom, from, to, }: Omit<MigrateItems, "componentsToMigrate">, config: RequestBaseConfig) => Promise<void>;
export declare const doTheMigration: ({ itemType, from, itemsToMigrate, componentsToMigrate, migrationConfigFileContent, migrationConfig, to, }: any, config: RequestBaseConfig) => Promise<void>;
export declare const migrateProvidedComponentsDataInStories: ({ itemType, migrationConfig, migrateFrom, from, to, componentsToMigrate, }: MigrateItems, config: RequestBaseConfig) => Promise<void>;
export {};
