import type { RemoveSpecificComponents } from "./components/components.types.js";
import type { SyncAllComponents, SyncAssets, SyncComponents, SyncContentFunction, SyncProvidedComponents } from "./migrate.types.js";
import type { RequestBaseConfig } from "./utils/request.js";
export declare const removeAllComponents: (config: RequestBaseConfig) => Promise<any[]>;
export declare const removeSpecifiedComponents: RemoveSpecificComponents;
export declare const syncComponents: SyncComponents;
export declare const syncAllComponents: SyncAllComponents;
export declare const syncProvidedComponents: SyncProvidedComponents;
export declare const syncAssets: SyncAssets;
export declare const syncContent: SyncContentFunction;
