import type { IStoryblokConfig } from "../../config/config.js";
import type StoryblokClient from "storyblok-js-client";
export interface RequestBaseConfig extends Partial<Omit<IStoryblokConfig, "sbApi">> {
    spaceId: string;
    sbApi: StoryblokClient;
}
interface GetAllItemsWithPagination {
    apiFn: (...args: any) => any;
    params: any;
    itemsKey: string;
}
export declare const getAllItemsWithPagination: ({ apiFn, params, itemsKey, }: GetAllItemsWithPagination) => Promise<any[]>;
export {};
