import StoryblokClient from "storyblok-js-client";
import storyblokConfig from "../config/config.js";
const { accessToken, oauthToken, storyblokApiUrl, rateLimit } = storyblokConfig;
const globalSbapi = new StoryblokClient({
    accessToken,
    oauthToken,
    rateLimit: rateLimit,
    cache: {
        clear: "auto",
        type: "none",
    },
}, storyblokApiUrl);
const generateApi = (custom) => custom;
export const sbApi = generateApi(storyblokConfig.sbApi ? storyblokConfig.sbApi() : globalSbapi);
export const apiConfig = {
    ...storyblokConfig,
    spaceId: storyblokConfig.spaceId,
    sbApi: sbApi,
};
