import type { RequestBaseConfig } from "../api/utils/request.js";
export declare const isDirectoryExists: (path: string) => boolean;
export declare const createDir: (dirPath: string) => Promise<void>;
export declare const createJsonFile: (content: string, pathWithFilename: string) => Promise<void>;
export declare const createJSAllComponentsFile: (content: string, pathWithFilename: string, timestamp?: boolean) => Promise<void>;
export declare const copyFolder: (src: string, dest: string) => Promise<unknown>;
export declare const copyFile: (src: string, dest: string) => Promise<void>;
type CreateAndSaveComponentListToFile = (args: {
    file?: string;
    folder?: string;
    res: any;
    timestamp?: boolean;
}, config: RequestBaseConfig) => Promise<void>;
type CreateAndSaveToFile = (args: {
    ext?: string;
    datestamp?: boolean;
    prefix?: string;
    suffix?: string;
    path?: string;
    filename?: string;
    folder?: string;
    res: any;
}, config: RequestBaseConfig) => void;
export declare const createAndSaveToFile: CreateAndSaveToFile;
export declare const createAndSaveComponentListToFile: CreateAndSaveComponentListToFile;
export declare const readFile: (pathToFile: string) => Promise<string | undefined>;
export declare const dumpToFile: (path: string, content: string) => Promise<void>;
export {};
